package com.free.video.wallpaper.httpcontent;

import okhttp3.Interceptor;
import okhttp3.Response;

import java.io.IOException;

public class NetLanjie implements Interceptor {

    private final NetBody.ProgressListener progressListener;

    public NetLanjie(NetBody.ProgressListener progressListener) {
        this.progressListener = progressListener;
    }

    @Override
    public Response intercept(Chain chain) throws IOException {
        Response originalResponse = chain.proceed(chain.request());
        String fileLength = originalResponse.header("File-Length");
        if (fileLength == null) {
            fileLength = "0";
        }
        return originalResponse.newBuilder()
                .body(new NetBody(originalResponse.body(), fileLength, progressListener))
                .build();
    }
}

